#!/usr/bin/awk -f

# Script de conversion d'un fichier .csv Excel en un script d'insertion SQL.
# version 1
# http://jmini.fr/

# STRUCTURE DU FICHIER :
# separateur : ;
# premiere ligne : nom de la table
# deuxieme ligne : nom des champs
# lignes suivantes : enregistrements

BEGIN {
	FS=";";
	RS="\n";
	OFS="";
	printf "-- csvToSql : debut du script sql\n";
}

{
	gsub(/'/,"\\'", $0);
}

NR==1 {
	li="INSERT INTO  `" $1 "` (  `";
}
NR==2 {
	nb_champ=NF;
	for(i=1; i<NF; i++)
		li=li $i "` ,  `";
	li=li $i "` ) ";
	print li;
	li="VALUES ";
}

NR>2 {
	li=li "('"
	for(i=1; i<nb_champ; i++)
		li=li $i "',  '";
		
	li=li $i "')";

	printf li;
	li=", ";
}

END {
	print ";";
	print "-- csvToSql : fin du script sql \n";
}